POST ImportDrivers
Creates drivers using an uploaded Excel file.
Request Information
URI Parameters
None.
Body Parameters
The data of the drivers.
ImportDriversDto| Name | Description | Type | Additional information |
|---|---|---|---|
| File | Collection of byte |
None. |
|
| NeedIdentification | boolean |
None. |
|
| IdCompanyContract | globally unique identifier |
None. |
|
| IdentificationsType | integer |
None. |
|
| IdIdentificationsTypeModel | globally unique identifier |
None. |
|
| IdProgram | globally unique identifier |
None. |
|
| IdLoyaltyProgram | globally unique identifier |
None. |
|
| IdHologramTypeModel | globally unique identifier |
None. |
|
| Address | ImportDocumentParameterAddressDto |
None. |
|
| ImportResult | ImportDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"File": "QEA=",
"NeedIdentification": true,
"IdCompanyContract": "27d205cd-54bb-4bad-89ef-d200227a2ee7",
"IdentificationsType": 1,
"IdIdentificationsTypeModel": "866a96ab-7f41-408b-83e9-0c22fd6915a5",
"IdProgram": "31414266-e079-4d2d-8061-90d136311c87",
"IdLoyaltyProgram": "61b169dc-390a-4382-a160-64c93b1b267a",
"IdHologramTypeModel": "9e5b6264-58f9-4b9d-83b3-6b2af08531b2",
"Address": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"ZipCode": "sample string 3",
"City": "sample string 4",
"ContactName": "sample string 5",
"ContactPhone": "sample string 6",
"IdCountry": "58b60d8a-c91b-4c2b-8692-f3e8ed69ff1e",
"IdState": "f017957e-e326-4aaa-8e81-430bf183dcec",
"DeliveryAddressIsLocation": true
},
"ImportResult": {
"listItemError": [
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
},
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
}
],
"correctProcessedQuantity": 1,
"errorProcessedQuantity": 2,
"totalProcessedQuantity": 3,
"withErrors": true,
"successfullyImportedTotal": "Successfully Imported Total 1",
"failedToBeImportedTotal": "Failed To Be imported Total 2",
"successfullyUpdatedTotal": "Total Successfully Updated: 1",
"failedToBeUpdatedTotal": "Total Not Updated: 2",
"totalProcessed": "Total processed: 3",
"needIdentification": true,
"IdentificationResult": true,
"identificationOrderNumber": "sample string 3",
"identificationErrorText": "sample string 4",
"identificationSuccessQuantity": 5,
"identificationErrorQuantity": 6,
"identificationMessageResult": "Identifier request created. Order Number: sample string 3"
}
}
application/xml, text/xml
Sample:
<ImportDriversDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<Address>
<City>sample string 4</City>
<ContactName>sample string 5</ContactName>
<ContactPhone>sample string 6</ContactPhone>
<DeliveryAddressIsLocation>true</DeliveryAddressIsLocation>
<IdCountry>58b60d8a-c91b-4c2b-8692-f3e8ed69ff1e</IdCountry>
<IdState>f017957e-e326-4aaa-8e81-430bf183dcec</IdState>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<ZipCode>sample string 3</ZipCode>
</Address>
<File>QEA=</File>
<IdCompanyContract>27d205cd-54bb-4bad-89ef-d200227a2ee7</IdCompanyContract>
<IdHologramTypeModel>9e5b6264-58f9-4b9d-83b3-6b2af08531b2</IdHologramTypeModel>
<IdIdentificationsTypeModel>866a96ab-7f41-408b-83e9-0c22fd6915a5</IdIdentificationsTypeModel>
<IdLoyaltyProgram>61b169dc-390a-4382-a160-64c93b1b267a</IdLoyaltyProgram>
<IdProgram>31414266-e079-4d2d-8061-90d136311c87</IdProgram>
<IdentificationsType>1</IdentificationsType>
<ImportResult>
<IdentificationResult>true</IdentificationResult>
<correctProcessedQuantity>1</correctProcessedQuantity>
<errorProcessedQuantity>2</errorProcessedQuantity>
<identificationErrorQuantity>6</identificationErrorQuantity>
<identificationErrorText>sample string 4</identificationErrorText>
<identificationOrderNumber>sample string 3</identificationOrderNumber>
<identificationSuccessQuantity>5</identificationSuccessQuantity>
<listItemError>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
</listItemError>
<needIdentification>true</needIdentification>
<totalProcessedQuantity>3</totalProcessedQuantity>
</ImportResult>
<NeedIdentification>true</NeedIdentification>
</ImportDriversDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Object of ImportDto class.
ImportDriversDto| Name | Description | Type | Additional information |
|---|---|---|---|
| File | Collection of byte |
None. |
|
| NeedIdentification | boolean |
None. |
|
| IdCompanyContract | globally unique identifier |
None. |
|
| IdentificationsType | integer |
None. |
|
| IdIdentificationsTypeModel | globally unique identifier |
None. |
|
| IdProgram | globally unique identifier |
None. |
|
| IdLoyaltyProgram | globally unique identifier |
None. |
|
| IdHologramTypeModel | globally unique identifier |
None. |
|
| Address | ImportDocumentParameterAddressDto |
None. |
|
| ImportResult | ImportDto |
None. |
Response Formats
application/json, text/json
Sample:
{
"File": "QEA=",
"NeedIdentification": true,
"IdCompanyContract": "8aa655b3-becb-4068-b473-fdf615538b85",
"IdentificationsType": 1,
"IdIdentificationsTypeModel": "686815f4-460c-445d-b3ce-ebabeaee40ba",
"IdProgram": "47648aa0-11ce-48f1-9489-8328648a5a0c",
"IdLoyaltyProgram": "8b1a5b20-900f-483b-9134-a99449c84ddf",
"IdHologramTypeModel": "3d5f14f8-d197-485d-ab43-71e165b66155",
"Address": {
"Street1": "sample string 1",
"Street2": "sample string 2",
"ZipCode": "sample string 3",
"City": "sample string 4",
"ContactName": "sample string 5",
"ContactPhone": "sample string 6",
"IdCountry": "a335c839-9e6a-4c0e-a081-70590b7e7bc5",
"IdState": "c042121f-635d-4b4e-886a-013eeb18fcfb",
"DeliveryAddressIsLocation": true
},
"ImportResult": {
"listItemError": [
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
},
{
"row": 1,
"errorList": [
"sample string 1",
"sample string 2"
]
}
],
"correctProcessedQuantity": 1,
"errorProcessedQuantity": 2,
"totalProcessedQuantity": 3,
"withErrors": true,
"successfullyImportedTotal": "Successfully Imported Total 1",
"failedToBeImportedTotal": "Failed To Be imported Total 2",
"successfullyUpdatedTotal": "Total Successfully Updated: 1",
"failedToBeUpdatedTotal": "Total Not Updated: 2",
"totalProcessed": "Total processed: 3",
"needIdentification": true,
"IdentificationResult": true,
"identificationOrderNumber": "sample string 3",
"identificationErrorText": "sample string 4",
"identificationSuccessQuantity": 5,
"identificationErrorQuantity": 6,
"identificationMessageResult": "Identifier request created. Order Number: sample string 3"
}
}
application/xml, text/xml
Sample:
<ImportDriversDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
<Address>
<City>sample string 4</City>
<ContactName>sample string 5</ContactName>
<ContactPhone>sample string 6</ContactPhone>
<DeliveryAddressIsLocation>true</DeliveryAddressIsLocation>
<IdCountry>a335c839-9e6a-4c0e-a081-70590b7e7bc5</IdCountry>
<IdState>c042121f-635d-4b4e-886a-013eeb18fcfb</IdState>
<Street1>sample string 1</Street1>
<Street2>sample string 2</Street2>
<ZipCode>sample string 3</ZipCode>
</Address>
<File>QEA=</File>
<IdCompanyContract>8aa655b3-becb-4068-b473-fdf615538b85</IdCompanyContract>
<IdHologramTypeModel>3d5f14f8-d197-485d-ab43-71e165b66155</IdHologramTypeModel>
<IdIdentificationsTypeModel>686815f4-460c-445d-b3ce-ebabeaee40ba</IdIdentificationsTypeModel>
<IdLoyaltyProgram>8b1a5b20-900f-483b-9134-a99449c84ddf</IdLoyaltyProgram>
<IdProgram>47648aa0-11ce-48f1-9489-8328648a5a0c</IdProgram>
<IdentificationsType>1</IdentificationsType>
<ImportResult>
<IdentificationResult>true</IdentificationResult>
<correctProcessedQuantity>1</correctProcessedQuantity>
<errorProcessedQuantity>2</errorProcessedQuantity>
<identificationErrorQuantity>6</identificationErrorQuantity>
<identificationErrorText>sample string 4</identificationErrorText>
<identificationOrderNumber>sample string 3</identificationOrderNumber>
<identificationSuccessQuantity>5</identificationSuccessQuantity>
<listItemError>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
<ImportItemDto>
<errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d5p1:string>sample string 1</d5p1:string>
<d5p1:string>sample string 2</d5p1:string>
</errorList>
<row>1</row>
</ImportItemDto>
</listItemError>
<needIdentification>true</needIdentification>
<totalProcessedQuantity>3</totalProcessedQuantity>
</ImportResult>
<NeedIdentification>true</NeedIdentification>
</ImportDriversDto>